Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface PointsHandler

All Known Implementing Classes:
  AbstractSVGPointList.PointsListBuilder, AWTPolylineProducer, DefaultPointsHandler

public interface PointsHandler

This interface must be implemented and then registred as the handler of a `PointsParser` instance in order to be notified of parsing events.

Method Summary
`void` | `endPoints()` Invoked when the points attribute ends.
`void` | `point(float x, float y)` Invoked when a point has been parsed.
`void` | `startPoints()` Invoked when the points attribute starts.

Method Detail

### startPoints

    public void startPoints()
                     throws ParseException

  Invoked when the points attribute starts.

  Throws:
    `ParseException` - if an error occured while processing the points

### point

    public void point(float x,
                      float y)
               throws ParseException

  Invoked when a point has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the points

### endPoints

    public void endPoints()
                   throws ParseException

  Invoked when the points attribute ends.

  Throws:
    `ParseException` - if an error occured while processing the points

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.